import 'note_template.dart';
import 'package:json_annotation/json_annotation.dart';

part 'note_template_response.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class NoteTemplateResponseDTO {
  NoteTemplateResponseDTO(
      {required this.notes, required this.succeeded, required this.message});

  final List<NoteTemplateDTO> notes;
  final bool succeeded;
  final String message;

  factory NoteTemplateResponseDTO.fromJson(Map<String, dynamic> json) =>
      _$NoteTemplateResponseDTOFromJson(json);

  Map<dynamic, dynamic> toJson() => _$NoteTemplateResponseDTOToJson(this);
}
